+++
title = "The start of satRdays"
date = "2016-09-08"
tags = ["budapest", "2016"]
categories = ["conference"]
banner = "/blog/2016-budapest/gabor.png"
author = "Gergely Daróczi"
+++

*This post was originally shared on the [R Consortium blog](https://www.r-consortium.org/blog/2016/09/07/the-start-of-satrdays).*

Almost 200 people from 19 countries registered for the [first satRday conference](http://budapest.satrdays.org/) which was held last Saturday, September 3rd, in Budapest. The final count showed that nearly 170 R users spent 12 hours at the conference venue attending workshops, regular and lighting talks, social events and a data visualization challenge. If you missed the event, you can rewatch the [live stream](http://budapest.satrdays.org/#stream) of the conference talks at any time. An abridged version of the video recordings will also be uploaded to the conference homepage along with the slides and related materials in the next couple of days.

There was a pretty intense interest for the conference from the beginning: the registration opened at the end of June, just before the useR! conference, and 90% of the originally planned 150 tickets were gone in a month, when the early-bird period ended. To my great but pleasant surprise, it didn’t become a local Hungarian conference at all: on an average, every third registration came from another country. The 50/50 ratio of academic to industry tickets was similarly stable from the beginning.

We sold around 130 tickets without sharing any details on the line-up of invited and contributed talks, although previously announcing our two keynote speakers (Gabor Csardi and Jeroen Ooms) kind of guaranteed a high quality for the conference. Fortunately, we received a good number of talk proposals and decided to have [25 speakers](http://budapest.satrdays.org/#keynotes) after all:

![Speakers @ Budapest 2016](/blog/2016-budapest/speakers.jpg)

It took a while to finalize the [conference program](http://budapest.satrdays.org/#schedule) and to figure out how we would fund an inexpensive event for so many attendees (as the number of registered attendees continued to increase by one or two every day), but things sorted out by the end of August and we received a good amount of financial help (covering 75% of the overall conference expenses) from our [sponsors](http://budapest.satrdays.org/#sponsors). Thank you!

![Sponsors @ Budapest 2016](/blog/2016-budapest/sponsors.png)

And the very early morning of September 3 arrived! I left home at 6am to arrive to the conference venue in time, and it was extremely exciting to see the first attendees arrive:

![Early morning @ Budapest 2016](/blog/2016-budapest/morning.png)

The registration took a bit longer than I hoped, but after around 10 minutes of delay, all 6 [workshops](http://budapest.satrdays.org/#workshops) were ready to start. I’m extremely proud of the great line-up of workshop speakers, who provided free training to all attendees on the `validation` package, `h2o`, `data.table`, `ggplot2` and `shiny`.

The conference started with the above noted short delay, but we managed to get back on track in the later sessions — by forcing myself to act as an extremely strict conference chair pushing most of the questions to the coffee breaks. Thanks to all for your highly appreciated cooperation with this!

Gabor Csardi soon proved that it was a very good idea to have him as our morning keynote speaker — he kicked off the conference with an exciting talk on fun stories from the past years of R and also introduced some of his wonderful and extremely useful projects to us. Please keep up the good work!

![Gabor Csardi @ Budapest 2016](/blog/2016-budapest/gabor.png)

The R Infrastructure session started right after Gabor’s keynote talk with four presentations on networking, using R and Python, R in MSSQL and other tools along with R for applications such as fighting fraud. Photos of these and other talks will be soon uploaded to the conference homepage, until then, you might want checking the [#satRdays Twitter hashtag](https://twitter.com/search?q=%23satRdays&src=typd), where I posted a number of pics. For a quick insight, this is how the conference hall looked like:

![Conference room @ Budapest 2016](/blog/2016-budapest/room.png)

The first session ended after noon, so we headed for a quick lunch:

![Lunch break @ Budapest 2016](/blog/2016-budapest/lunch.png)

And we soon started the next technical session on different R packages: Arun on `data.table`, Mark on the `validate` package and Romain on `dplyr` — all did a fantastic job not only while working on the packages, but with their talks as well. And yet, one of the most exciting moments of the conference happened between the talks, when one of our speakers decided to ask one of the attendees a very important and personal question: Congratulations to Cecile and Romain!

![Proposal @ Budapest 2016](/blog/2016-budapest/proposal.png)

And we had our first lightning talk (exactly 15 slides each shown for 20 seconds) where Bo did a wonderful job and presented a lot of valuable information and summary in such short period of time. The session ended with our second keynote talk, where Jeroen shared some of his past R projects, showed some really impressive curl examples, and gave an inspiring intro to his new cool [`magick` package](https://mran.revolutionanalytics.com/package/magick/) for easy and advanced image manipulations on the top of ImageMagick:

![Jeroen Ooms @ Budapest 2016](/blog/2016-budapest/jeroen.png)

The afternoon sessions, both regular and lightning talks, covered a wide range of machine learning tools and use-cases. In addition to the H2O machine learning tools, we learned about how R and ML is used at CERN, multivariate data analysis of time-series, political parties and Thomas Levine’s crazy tools for rendering data as music and virtual kebabs. (Variables were mapped to different spices.)  It was a good mix!

Oh, and I don’t want to forget about the talks on choosing the right tools for different use cases like: catching all Pokemons, visualizing geochemical models, on how to get your boss and colleagues to love R, and an inspiring proposal on the RUG Toolbox to enable networking among local R users; and the chance to learn about how to build JS-heavy, complex Shiny dashboards at Friss for example.

The conference ended with the [Data Visualization Challenge](http://budapest.satrdays.org/#datavizcompo), where 8 projects were shown in 3-3 minutes and the audience [voted for the best visualization](https://medium.com/@BenceArato/data-visualization-challenge-at-the-first-satrdays-conference-93b5446879f) while having a slice of pizza and some beers. It was great to see the very well prepared and creative dashboards and plots:

![Data Visualization Challenge @ Budapest 2016](/blog/2016-budapest/dataviz.png)

The formal event ended around 8:30 pm, more than 12 hours after the start of the morning workshops, with nearly 80 attendees walking 15 mins to a nearby pub for some additional informal conversations. For myself, this was the most rewarding moment of the event — to see that all the pretty hard work that Denes and I did during the past months (more on this in a follow-up post) paid off after all: people spent the whole satRday together in a fruitful environment, where new friendships and R package ideas were born.

Hope to see many similar events in the future!
