+++
title = "How-to organize a satRday conference (V0.1)"
date = "2016-11-18"
tags = ["budapest", "2016"]
categories = ["conference"]
banner = "/blog/2016-budapest/tweet-gh-pages.png"
author = "Gergely Daróczi"
+++

*This post was originally shared at [datascience.la](http://datascience.la/how-to-organize-a-satrday-conference-v0-1/).*

It has been over 2 months since the [first satRday conference](http://budapest.satrdays.org/) ended and I shared some [quick impressions](/blog/2016/09/08/2016-budapest-impressions/) on that, where I also promised a follow-up post on my experiences as ending up being the main organizer of the event — this is what you are reading now. Although the idea was born at the EARL Boston conference last year, and I decided to take part in the project while living in Los Angeles — the conference took place in Budapest after all as logistics seemed to be easier there thanks to my closer relationship to the Hungarian R User Group.

Anyway, the location does not matter that much: if you have the chance (and resources) to organize a satRday event anywhere around the world, please do — as it’s great and extremely useful for the local community, and it’s a very rewarding (although often also demanding) experience for yourself 🙂

## Do it only if you are passionate!

As said it’s fun to take an active part in the project, but it’s a full-time job for at least a month.

I’ve started the actual first steps (looking for venue, picking the date etc) at the beginning of June, and I thought it takes a few hours a week until September to get ready for the event. Actually, it became 2-3 hours a day fun project of my life for 3 months — including weekends, which was sometimes pretty cumbersome besides doing a full-time job. So be prepared for that 🙂

For example, I did not even think about how many hours will I spend with writing raw HTML:

{{< tweet 777903836715331584 >}}

I was lucky to have Denes Tóth (co-organizer of the event) who volunteered for the project and took care most of the venue, catering, accommodation, and a whole bunch of other minor things that came up as we progressed with the organization. Also, I received many useful tips and connections from Bence Arato (organizer of BI and DW conferences in Hungary). Still, as the main organizer, I should have built a larger team right at the start and delegate better the tasks, because each task has so many sub-tasks, for example:

* Decide on the program (workshops, regular and lightning talks, posters)
* Choose and invite speakers
* Promote the event, be active on social media
* Keep track of the CfP, collect presentation materials from speakers
* Create and maintain a homepage
* Find sponsors, make and sign contracts, keep in touch, collect their roll-up banners
* Bookkeeping (invoices, receiving payments, taxes, flight tickets etc)
* Stationery (badge, booklet, rollup banner etc)
* Venue (rooms, seats, set up and test technology, IT guy)
* Catering (coffee breaks, lunch, pizza, beer, coke etc)
* Think about and organize social event(s) before or after the conference
* Recruit volunteers, plan the registration process
* Record the talks, take photos on the event
* Organize social events before and after the conference
* Reply e-mails, pick up the phone literally in 24/7

All these might sound pretty easy, but believe me: each item can take a lot of time, and you realize this only when you are eg tweaking the CSS of the conference homepage (on your way to a sponsor to chit chat a bit) you have manually put together a few days ago, as that seems to be the quickest way to provide some usable input (as a png export from the browser to be edited with Gimp that you never really used before and your designs skills suck anyway) for the press working on the roll-up banner to be printed in time.

## Pick a date and venue

Although this is a community-driven event, but sometimes you just have to make some decisions on your own, and it’s not a good idea to wait for feedback from the community if you want to (or have to) get things done in time.

There were three important things we took into account when deciding the date of the conference:

* No other data R, Data Science or BI conference should take place in Europe withing 2 weeks (eg late September wasn’t an option due to EARL London, October thanks to ERUM and the Budapest BI Forum)
* Pretty good weather (it’s not that fun to spend a few days in the snowy Budapest compared to late summer)
* August is the main holiday season in Hungary, so that’s not a good option, school starts in early/mid September,

so we picked the last weekend of the summer.

## Funding

We were very fortunate to have the R Consortium as a strong sponsor even without a preliminary conference program — it helped a lot and provided confidence when looking for further sponsors!

On the other hand, keeping the budget of the conference at a very low level still required us to raise at least $10K, knowing that we won’t make a lot by selling most of the conference tickets for $10.

So I started with a spreadsheet trying to list the expected expenses (which first estimates almost doubled until September) and also reached out to potential sponsors in my networks. Fortunately, the feedback was very positive in most cases, and I was soon pretty sure that organizing the conference will not cost a lot of money to my own small business, although I was prepared for that.

The most important learnings from managing the budget are:

* Food is expensive! It took ~50% of the overall budget to have 3 coffee breaks and a lunch
* On the other hand, ordering a few dozens of pizzas and buying a decent number of six packs in the local store can provide a light dinner for the attendees for the price of a coffee break, and it’s usually accepted well at meetups and RUGs anyway, so no need to stick to fancy things (eg at Budapest we paid around $20 for catering despite the fact that most attendees registered for $10)
* Conference swag is relatively cheap but works well when it comes to building community, eg I’ve found a place printing OK t-shirts for $4 and now I regret we didn’t print a conference booklet
* Try to dedicate some funds to help speakers with travel/accommodation costs — it’s relatively cheap (compared to catering), but can boost willingness of speakers when it comes to giving up their free time to travel and spend time with the community
* Know (someone who knows) your tax system! It might sound silly, but I was shocked when it turned out that if my company pays for the lunch of the attendees, then I have to pay an extra ~50% “entertainment allowance”. In simple words, this minor thing added a mere 25% to the expenses.

## Timeline

One day is relatively short to do a bunch of different things: you cannot host workshops, multiple keynotes, dozens of regular talks (but you should do lightning talks!), a poster session and a data visualization contest! Well, you can on paper, but participants in real-life seemed to be pretty exhausted spending more than 12 hours at the conference venue — although I was very happy to see the majority of the attendees joining the unofficial after-party in a nearby pub until late hours 🙂

But besides kidding, you really have to know the limits. Either do multiple tracks, or plan to host a reasonable number of talks. Eg having 25 speakers at Budapest was pretty crazy and the schedule did not allow much time for decent networking in coffee breaks. Especially if you (and you will) start with 15 mins late due to something going wrong at the registration.

## Let others know about the event!

Yeah, you have to active on Twitter, which seems to be an active channel among the R folks. I’m not on Facebook, so I cannot share much experience on that, but probably wouldn’t hurt to promote the event there as well 🙂 And besides these formal channels, let your friends and network know about the event — I’ve sent a number of newsletters and personal e-mails to promote the event for those who are not active on Twitter. And sending reminder e-mails to group before approaching deadlines (eg CfP, early-bird period) is also very important.

## What could go wrong?

Basically anything! Would you believe if I say:

* Speakers cancel their talks a few days/hours before the event (that’s pretty normal and no personal offense at all, I’m just saying that you should be prepared for such things)
* The ho(s)tel cancels all speaker’s reservations a few weeks before the event without any explanation, and all other places are fully booked in the area by that time
* You get a phone call 12 hours before the start of the event from a guy, who turns out to be a pizza delivery person standing in front of the conference venue holding 30 pizzas, and not being happy when he realizes that they missed the date. Mixed feelings: you feel a bit proud that you ordered 2×30 pizzas from two different places hoping that at least some pizzas arrive on time, but starting to get worried if the very same 30 pizzas get delivered the next day
* On the other hand, you have no updates from the t-shirt webshop and you cannot reach them via phone at 5pm Friday, so you start drawing alternate plans on what you will do with the 200 satRday t-shirts on Monday when the late delivery arrives
* The official photographer of the event did not show up after all and you cannot reach him on phone or e-mail, so you end up taking photos with your mobile phone of the event you prepared for a few months

The good news: all turned out to be absolutely OK and fun, no worries at all — just be prepared that things might not be on track all the time.

## And most importantly: Is it worth it?

{{< youtube a5WleYV3wmM >}}

Every single minute (and penny) you spent on the project! As said in the first paragraph, you make good for the community, and the community is very grateful for your efforts. At the end of the (satR)day, although you feel physically exhausted, but it’s inspiring and rewarding to hear such feedbacks when reading the conference evaluation forms:

> “I expected a lot from the event, but it went beyond my expectations. Congratulations and thanks!”

In short, I hope to see and attend many future satRday events all around the world! Next in [Cape Town](http://satrdays.org/capetown2017/) and Puerto Rico.
