+++
title = "Thoughts from SatRdays Newcastle 2019"
date = "2019-05-31"
tags = ["newcastle"]
categories = ["conference"]
author = "Rhian Davies"
+++

In April this year, the first SatRday Newcastle event was held. The [talks](https://www.youtube.com/playlist?list=PLQRHxIa9tfRtnjJ8Z97EPJOvPweHtDvAj), [slides](https://github.com/satRdays/newcastle2019-slides/) and [programme](https://newcastle2019.satrdays.org/) are available online. In this post you will find:

- Things we learnt whilst planning the event.
- What we learnt from our feedback. 

# Learning on the go

## How to find speakers

We were lucky to get three excellent keynote speakers, which I think really helped pull in attendees. Sometimes, reaching out to big names can be a little daunting, so try and think of connections you have, things you have in common and use communities such as R-Ladies or a Slack channel to reach out. 

## How to find sponsors

Our event was sponsored by [Jumping Rivers](https://www.jumpingrivers.com), [Newcastle University](https://www.ncl.ac.uk/), [Sage](https://www.sage.com) and [RStudio](https://www.rstudio.com/).

With sponsors, if you don't ask you don't get so it's always worth asking your local companies with an interest in supporting the community. It's also useful to look at who has sponsored similar events in your area, and reach out to see if they'll sponsor you too. Be clear about what you are offering them (banner space, logos on the website, a trade stand?) and the audience that you are likely to have. 

It's worth noting that [Jumping Rivers](https://www.jumpingrivers.com) gives a guaranteed £100 sponsorship to all SatRdays conference. Just complete the [form on our website. ](https://www.jumpingrivers.com/q/satrdays/)

## Inclusivity

One of the attendees got in touch before the conference to say that she was planning on attending with her four month old baby and asked if there would be any nursing facilities at the conference. We were already planning on recording the conference talks, and were able to set up a second lecture theatre, streaming the talks from the main lecture theatre. This allowed the attendee to watch the talks from the privacy of the nursing room when she needed. The feedback we received for this was really positive, and I would encourage future organisers to consider whether it is possible to provide similar facilities at your event. It was really easy to set up, and made a big difference to the attendee's conference experience. 

<blockquote class="twitter-tweet" data-cards="hidden" data-lang="en-gb"><p lang="en" dir="ltr">Huge kudos to <a href="https://twitter.com/csgillespie?ref_src=twsrc%5Etfw">@csgillespie</a> and his org team to make <a href="https://twitter.com/hashtag/satRdayNCL?src=hash&amp;ref_src=twsrc%5Etfw">#satRdayNCL</a> a baby-friendly conference!<br><br>Going ANYWHERE with a 4m old is a challenge, but having live stream in a separate nursing room makes everything so much easier! 🍼🍼🍼<br><br>Real <a href="https://twitter.com/hashtag/rstats?src=hash&amp;ref_src=twsrc%5Etfw">#rstats</a> inclusion in action <a href="https://twitter.com/satRdays_org?ref_src=twsrc%5Etfw">@satRdays_org</a> <a href="https://t.co/MI9MLAs4Oi">pic.twitter.com/MI9MLAs4Oi</a></p>&mdash; Agnes Salanki (@salankia) <a href="https://twitter.com/salankia/status/1114484209576546304?ref_src=twsrc%5Etfw">6 April 2019</a></blockquote>


# Feedback from attendees

Shortly after the event, we sent out a survery to attendees and 45% of attendees responded. We asked them to answer questions on a scale of 1-7, where 1 was a strongly negative response 7 was strongly positive. Here's a quick plot of the general feedback.

![Ratings Chart](/blog/newcastle-responses.png)

As you can see, the response was overwhelmingly positive. All attendees agreed that the conference was good value for money, and 70% said they were "Extremely likely to recommend to a friend".

## Suggestions for improvement

Many people suggested the addition of hands-on workshops. As this was our first time running SatRday Newcastle we wanted to keep things simple, but this is certainly something we will consider for next year. 

Feedback from attendees suggests that having registration at 8:50am was a little too early. We intentionally chose an early registration so that attendees would be able to go home on the Saturday evening. However, perhaps having a slightly later start would accommodate people travelling from afar to attend.

More coffee! More biscuits! Pastries for breakfast! We put on coffee breaks and a basic buffet lunch included as part of the day. In order to keep the conference fees as low as possible, I don't think we can change much about the refreshments. I think the lesson here is to communicate clearly what will be on offer to set expectations in advance. For next year's conference we'll also make sure we allow attendees to select their dietary requirements in advance to ensure that they are catered for. 

## Favourite things

We also asked attendees to tell us their favourite thing about SatRday Newcastle. As expected, many people said they really enjoyed the quality of our keynote speakers, in particular [Thomas Lin Pedersen's amusing talk](https://github.com/satRdays/newcastle2019-slides). Other people commented on the excellent diversity and variety of talks. Interestingly, the most common response was about the relaxed, welcoming and friendly atmosphere. People appreciated having the time to network and enjoyed the chilled, comfortable environment. They also said the organisers were really friendly and helpful, so a big thank you to everyone from the SatRday Newcastle 2019 team. 

# Closing remarks

We had so much fun at SatRday Newcastle 2019, that we've already started planning the next one! 
[SatRday Newcastle 2020](https://newcastle2020.satrdays.org) will be on April 4th 2020. Hope to see you there! 
