+++
title = "Putting on Cardiff satRday"
date = "2018-08-10"
tags = ["cardiff"]
categories = ["conference"]
banner = "/blog/conf_rating_resp.PNG"
author = "David Parr"
+++

## Beginnings

satRday Cardiff started for my most of my friends in January 2018. At the first meeting of the year for the [caRdiff R User Group](https://www.meetup.com/Cardiff-R-User-Group/), I suggested to the 'regulars' that we should run a satRday in Cardiff within six months.

satRday Cardiff started for me in [Budapest in September in 2016](http://budapest.satrdays.org/). [Steph](https://twitter.com/TheStephLocke) had successfully nudged me into not only going to the first ever satRday at nearly the last minute, but giving a talk to boot! I picked a "sufficiently serious topic"&trade; [^1], squashed at least a few of my bugs, slid out my slides, packed my bags and got on the plane within two weeks. I had never been to a programming conference before, and had an absolute blast for the whole weekend. The Budapest team secured some amazing content, a great location, and even better made me (and I think most people there) really welcome.

> satRday Cardiff was firmly inspired by satRday Budapest. 

A few days after I decided there should definitely be another one, just a bit closer to Wales. I'm sure [both](http://capetown2017.satrdays.org/) Cape Town [events](https://capetown2018.satrdays.org/) were fantastic, but unfortunately it was a little further than I could manage at the time. satRday is an "Open Source" conference though, so there was nothing to stop me <del> compiling </del> putting on my own!

## Middles

So we picked a date, found a venue (thanks [Paul](https://twitter.com/brennanpcardiff)!), and started trying to work out what else we needed. To save the next person finding this out as they go along this is everything I can remember that we 'needed' by the end:

### A list of conference things

1. date
    + including opening times for attendees, and an earlier one for sponsors and yourself to set up
2. venue
    + internet connection
    + one lobby
    + two lecture theatres with projection and mic system
    + special requirements room(s) (delegates requirements included recent mothers, religious observance, social support)
3. website
4. bank account for the gorup
    + with online payment and card
5. PayPal account for the group
6. Gmail account for the group
7. catering
    + small morning snacks
    + midday lunch
    + afternoon cakes
    + tea and coffee at each
8. security
    + as the event was out of normal operating hours for the University, we needed to sort this out specifically
9. tables
    + for sponsors use, venue didn't guarantee them
10. ticket service
11. call for papers service
12. sponsors
    + information for sponsors to outline conference goals, values and benefits to business
13. volunteers
14. schedule of speakers
    + with sufficient breaks to allow people to change rooms and buffer to cater for overrun
15. email reminders close to the date
16. multiple output power adapters
17. speakers
18. attendees
19. name badges and lanyards
20. pens
21. water at speaker stands
22. as many dongles and USB adapters and HDMI cables as we could find
23. mobile phones
    + with all the organisers having the number of all the other organisers
24. printed a4 signs to guide people around the building
25. opening remarks
    + welcome, health and safety notes, etc
26. closing remarks
    + thanks, prize draws, community notes
27. 'extra' events
    + dinner plans the night before to welcome new speakers
    + plans on where to take anyone interested in hanging out at the end of the day 
28. feedback form for attendees

This is not a 'mandatory' or 'complete' list, and not ordered, but hopefully relatively broad. Some of these are obvious, some maybe less so.

## Endings?

And so we put on a conference! We had 50 people get together in Cardiff University on a Saturday to learn about R, meet other data scientists, analysts, scholars or members of the public who wanted to 'find out more'. 

We had a whole range of speakers, from highly experienced to their first ever public event. 

We had a whole range of topics, from leveraging Apache Airflow to deploy R models for Manchester Airport Group to, "Counting Penguins Really Fast" to beginning with the `tidyverse` packages.

I had a whole tonne of fun, and I think some others did too. So far 20% of the attendees have sent their feedback form. If you're part of the remaining 80% reading this who haven't yet please check your inbox! It's not a long form and really helps us learn what we can do better next time.

![Ratings Chart](/blog/conf_rating_resp.PNG)

> Where 1 is "A waste of a sunny day" and 5 is "An excellent development opportunity"

So far I think we seem to be doing OK. Some room for improvements to be made, but generally I think pretty positive. I'll go into some more detail next time about the responses and what we're looking to improve.

## But not really endings

What was your response to the list? Think about it for a second, then go to the relevant section.

### That's pretty straightforward

<p class="spoiler">Fantastic, why don't you do it yourself? You can head <a href="https://github.com/satRdays/eventscalendar">here</a> to select a date that doesn't clash with any other events, over <a href="https://github.com/satRdays/satRday_site_template">here</a> to get a pre-built template for a website, and we've also got a slack full of people all over the world to help you out over <a href="https://join.slack.com/t/rusergroups/shared_invite/enQtMjEyNDA3MzcyMjczLTE3NWEzNjQ3MjZiMWM0OGE2ZWFiZDliNTY4NTJjYWY1NGNjMmNlNDUzNzkzOTZmMDBjYjRiZjFhNjk4MDY0ZGY">here</a>.</p>

### That's way too much and/or terrifying

<p class="spoiler">I understand, not everybody wants to put on a conference. If you're interested in attending an event though, have a look <a href="https://github.com/satRdays/eventscalendar">here</a> to see if one is coming up near you (or even far away!). If you're even just a little curious about putting one on though, help is at hand. We`re working hard to make putting on these conferences easier, starting with <a href="https://github.com/satRdays/satRday_site_template">templating the website</a> to get you off the ground as quickly and simply as possible. We've also got a <a href="https://join.slack.com/t/rusergroups/shared_invite/enQtMjEyNDA3MzcyMjczLTE3NWEzNjQ3MjZiMWM0OGE2ZWFiZDliNTY4NTJjYWY1NGNjMmNlNDUzNzkzOTZmMDBjYjRiZjFhNjk4MDY0ZGY">slack group</a> filled with organisers of satRday and other user events from all over the world.</p>

 [^1]: for footage of my sufficiently serious topic please [click here](https://www.youtube.com/watch?v=afVks_er01s&index=21&list=PLUBl0DoLa5SDsOetNga5pt4uo6YOyKVWn)



